Page MenuHomePhabricator

Install WikiLove in the Ukrainian Wikipedia
Closed, ResolvedPublic

Description

Good evening! Please install WikiLove in the Ukrainian Wikipedia.
.....................
Two moments:

  1. Heart must be blue;
  2. Without section "barnstars" (just comment out). - Is this possible? If this is not possible - do not install.

.....................
Consent community:
https://uk.wikipedia.org/wiki/Вікіпедія:Кнайпа_(пропозиції)#WikiLove
Ukrainian Wikipedia community will be very grateful!

Event Timeline

Green_Zero updated the task description. (Show Details)
Green_Zero raised the priority of this task from to Normal.
Green_Zero added a subscriber: Green_Zero.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2015, 6:18 PM
Green_Zero updated the task description. (Show Details)Mar 4 2015, 6:19 PM
Green_Zero set Security to None.
Green_Zero updated the task description. (Show Details)
Green_Zero updated the task description. (Show Details)
Base added a subscriber: Base.Mar 4 2015, 8:31 PM
Base added a comment.Mar 4 2015, 8:35 PM

Where's about the blue colour in the discussion? / А де в обговоренні про блакитний колір?

Слід враховувати всі зауваження та побажання спільноти. Один з учасників обговорення, Atoly, побажав, щоб серце було не рожеве. І це логічно - щоб не муляло очі, було майже непомітне і невідволікало. Там є 3 варіанти: рожеве, сіре, блакитне. Блакитне якраз вписується в дизайн.

Heart must be blue;

Why? (Please comment in English here if possible.)

Green_Zero added a comment.EditedMar 5 2015, 2:44 PM

In the discussion, one of the users made a wish that is very logical that the heart was the same color as the star. That is blue color. It would fit into the design.

https://uk.wikipedia.org/w/index.php?title=%D0%92%D1%96%D0%BA%D1%96%D0%BF%D0%B5%D0%B4%D1%96%D1%8F:%D0%9A%D0%BD%D0%B0%D0%B9%D0%BF%D0%B0_(%D0%BF%D1%80%D0%BE%D0%BF%D0%BE%D0%B7%D0%B8%D1%86%D1%96%D1%97)&diff=15607456&oldid=15607387

Have arisen some difficulties?

I haven't looked into the extension but I don't think we've a configuration for changing the heart icon. As for disabling "barnstars", I believe this should be done on wiki using MediaWiki:WikiLove.js. Not sure though.

The extension document actually says you can use a CSS override for the icon. https://www.mediawiki.org/wiki/WikiLove#Change_the_heart_icon

Should we proceed with enabling WikiLove extension at ukwiki?

Change 196988 had a related patch set uploaded (by Glaisher):
Enable WikiLove extension at Ukrainian Wikipedia

https://gerrit.wikimedia.org/r/196988

kaldari added a subscriber: kaldari.EditedMar 17 2015, 10:11 PM

I removed the barnstar interface from the Ukrainian WikiLove:
https://uk.wikipedia.org/w/index.php?title=MediaWiki:WikiLove.js&oldid=15816966

If you ever want it back, just remove that line.

@Green_Zero: It's pretty easy to change the heart icon to the blue one, but you should know that the blue icon is a PNG and the red one is an SVG, so if you're using a retina display the red one is going to look a lot better. Do you still want me to change it to the blue one? Eventually, someone should make SVG versions of the other colors too.

Yes, let him be blue.

Change 196988 merged by jenkins-bot:
Enable WikiLove extension at Ukrainian Wikipedia

https://gerrit.wikimedia.org/r/196988

@Green_Zero: I turned on WikiLove for uk.wiki. Unfortunately, overriding the heart icon from MediaWiki:Vector.css caused a flash of unstyled content, so I had to revert the icon change. It's strange that overriding it from Special:MyPage/Vector.css seems to work fine, but overriding it from MediaWiki:Vector.css causes it to flash and reflow. I hope reverting the icon color is OK for the time being. I'll investigate coming up with a better solution.

Okay. I hope it's not be too hard to do.

Should we open another task to discuss the opportunity to update the extension to use a blue hearth by default? This is a sensible idea.

Should we open another task to discuss the opportunity to update the extension to use a blue hearth by default? This is a sensible idea.

Perhaps it will help.

Dereckson closed this task as Resolved.Apr 27 2015, 12:15 AM
Dereckson claimed this task.

Deployed Mar 19 2015, 11:37 PM.

Dereckson reassigned this task from Dereckson to Glaisher.Apr 27 2015, 12:15 AM